FROM openshift/golang-builder:1.13 AS builder
ENV __doozer=update BUILD_RELEASE=202011132159.p0 BUILD_VERSION=v4.4.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=4 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.4.0-202011132159.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=e1286cd OS_GIT_VERSION=4.4.0-202011132159.p0-e1286cd SOURCE_DATE_EPOCH=1579005962 SOURCE_GIT_COMMIT=e1286cd5be778a378e8f47bdf061aea317007053 SOURCE_GIT_TAG=v1.0.0-rc1-169-ge1286cd5 SOURCE_GIT_URL=https://github.com/openshift/csi-node-driver-registrar 
WORKDIR /go/src/github.com/kubernetes-csi/node-driver-registrar
COPY . .
RUN make build

FROM openshift/ose-base:v4.4.0-202011122017.p0
ENV __doozer=update BUILD_RELEASE=202011132159.p0 BUILD_VERSION=v4.4.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=4 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.4.0-202011132159.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=e1286cd OS_GIT_VERSION=4.4.0-202011132159.p0-e1286cd SOURCE_DATE_EPOCH=1579005962 SOURCE_GIT_COMMIT=e1286cd5be778a378e8f47bdf061aea317007053 SOURCE_GIT_TAG=v1.0.0-rc1-169-ge1286cd5 SOURCE_GIT_URL=https://github.com/openshift/csi-node-driver-registrar 
COPY --from=builder /go/src/github.com/kubernetes-csi/node-driver-registrar/bin/csi-node-driver-registrar /usr/bin/
ENTRYPOINT ["/usr/bin/csi-node-driver-registrar"]

LABEL \
        name="openshift/ose-csi-node-driver-registrar" \
        com.redhat.component="csi-node-driver-registrar-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Storage" \
        release="202011132159.p0" \
        io.openshift.build.commit.id="e1286cd5be778a378e8f47bdf061aea317007053" \
        io.openshift.build.source-location="https://github.com/openshift/csi-node-driver-registrar" \
        io.openshift.build.commit.url="https://github.com/openshift/csi-node-driver-registrar/commit/e1286cd5be778a378e8f47bdf061aea317007053" \
        version="v4.4.0"

